package com.realnet.order_estimation.Services;
import com.realnet.order_estimation.Repository.ManufacturerRepository;
import com.realnet.order_estimation.Entity.Manufacturer
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;






	import org.springframework.stereotype.Service;

@Service
 public class ManufacturerService {
@Autowired
private ManufacturerRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;





public Manufacturer Savedata(Manufacturer data) {






	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Manufacturer save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Manufacturer> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Manufacturer> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Manufacturer> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Manufacturer getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Manufacturer update(Manufacturer data,Integer id) {
	Manufacturer old = Repository.findById(id).get();
old.setManufacture(data.getManufacture());

old.setDescription(data.getDescription());

old.setActive (data.isActive());

final Manufacturer test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 






 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
